<?php
/*
* $Id: delete.php
* $Loc: /admin/includes/actions/featured/infoboxes/
*
* Name: FeaturedProducts
* Version: 2.3.11
* Release Date: 2024-12-03
* Author: Rainer Schmied
* 	 phoenixcartaddonsaddons.com / raiwa@phoenixcartaddons.com
*
* License: Released under the GNU General Public License
*
* Comments: Author: [Rainer Schmied @raiwa]
* Author URI: [www.phoenixcartaddons.com]
* 
* CE Phoenix, E-Commerce made Easy
* https://phoenixcart.org
* 
* Copyright (c) 2021 Phoenix Cart
* 
* 
*/

  $heading = TEXT_INFO_HEADING_DELETE_FEATURED;

  $link = $GLOBALS['Admin']->link('featured.php')->retain_query_except(['action']);
  $contents = ['form' => new Form('featured', (clone $link)->set_parameter('action', 'delete_confirm'))];
  $contents[] = ['text' => TEXT_INFO_DELETE_INTRO];
  $contents[] = ['text' => '<strong>' . $table_definition['info']->products_name . '</strong>'];
  $contents[] = [
    'class' => 'text-center',
    'text' => new Button(IMAGE_DELETE, 'fas fa-trash', 'btn-danger mr-2')
            . $GLOBALS['Admin']->button(IMAGE_CANCEL, 'fas fa-times', 'btn-light', $link),
  ];
