<?php
/*
* $Id: insert.php
* $Loc: /admin/includes/actions/featured/
*
* Name: FeaturedProducts
* Version: 2.3.11
* Release Date: 2024-12-03
* Author: Rainer Schmied
* 	 phoenixcartaddonsaddons.com / raiwa@phoenixcartaddons.com
*
* License: Released under the GNU General Public License
*
* Comments: Author: [Rainer Schmied @raiwa]
* Author URI: [www.phoenixcartaddons.com]
* 
* CE Phoenix, E-Commerce made Easy
* https://phoenixcart.org
* 
* Copyright (c) 2021 Phoenix Cart
* 
* 
*/

  $products_id = Text::input($_POST['products_id']);

  $expires_date = Text::input($_POST['expdate']);
  if (Text::is_empty($expires_date)) {
    $expires_date = 'NULL';
  } else {
    $expires_date = substr($expires_date, 0, 4) . substr($expires_date, 5, 2) . substr($expires_date, 8, 2);
  }

  $db->perform('featured', [
    'products_id' => (int)$products_id,
    'featured_date_added' => 'NOW()',
    'expires_date' => $expires_date,
    'status' => 1,
  ]);

  return $Admin->link('featured.php')->retain_query_except(['action', 'products_name', 'products_model'])->set_parameter('fID', mysqli_insert_id($db));
