<?php
/*
* $Id: default.php
* $Loc: /admin/includes/actions/featured/infoboxes/
*
* Name: FeaturedProducts
* Version: 2.3.11
* Release Date: 2024-12-03
* Author: Rainer Schmied
* 	 phoenixcartaddonsaddons.com / raiwa@phoenixcartaddons.com
*
* License: Released under the GNU General Public License
*
* Comments: Author: [Rainer Schmied @raiwa]
* Author URI: [www.phoenixcartaddons.com]
* 
* CE Phoenix, E-Commerce made Easy
* https://phoenixcart.org
* 
* Copyright (c) 2021 Phoenix Cart
* 
* 
*/

  if (is_object($table_definition['info'] ?? null)) {
    $fInfo = $table_definition['info'];
    $heading = $fInfo->products_name;

    $link = $GLOBALS['Admin']->link('featured.php')->retain_query_except()->set_parameter('fID', $fInfo->featured_id);
    $contents[] = [
      'class' => 'text-center',
      'text' => $GLOBALS['Admin']->button(IMAGE_EDIT, 'fas fa-cogs', 'btn-warning mr-2', (clone $link)->set_parameter('action', 'edit'))
              . $GLOBALS['Admin']->button(IMAGE_DELETE, 'fas fa-trash', 'btn-danger mr-2', $link->set_parameter('action', 'delete')),
    ];
    $contents[] = ['text' => TEXT_INFO_DATE_ADDED . ' ' . Date::abridge($fInfo->featured_date_added)];
    $contents[] = ['text' => TEXT_INFO_LAST_MODIFIED . ' ' . Date::abridge($fInfo->featured_last_modified)];
    $contents[] = [
      'class' => 'text-center',
      'text' => $GLOBALS['Admin']->catalog_image("images/{$fInfo->products_image}", [], $fInfo->products_name),
    ];
    $contents[] = ['text' => TEXT_INFO_EXPIRES_DATE . ' <strong>' . Date::abridge($fInfo->expires_date) . '</strong>'];
    $contents[] = ['text' => TEXT_INFO_STATUS_CHANGE . ' ' . Date::abridge($fInfo->date_status_change)];
  }
