<?php
/*
* $Id: featured.php
* $Loc: /admin/includes/languages/english/
*
* Name: FeaturedProducts
* Version: 2.3.11
* Release Date: 2024-12-03
* Author: Rainer Schmied
* 	 phoenixcartaddonsaddons.com / raiwa@phoenixcartaddons.com
*
* License: Released under the GNU General Public License
*
* Comments: Author: [Rainer Schmied @raiwa]
* Author URI: [www.phoenixcartaddons.com]
* 
* CE Phoenix, E-Commerce made Easy
* https://phoenixcart.org
* 
* Copyright (c) 2021 Phoenix Cart
* 
* 
*/

const HEADING_TITLE = 'Featured Products';

const TABLE_HEADING_PRODUCTS = 'Products';
const TABLE_HEADING_STATUS = 'Status';
const TABLE_HEADING_ACTION = 'Action';

const TEXT_FEATURED_PRODUCT_SELECT = 'Select Product:';
const TEXT_FEATURED_PRODUCT_SEARCH = 'Search Product:';
const TEXT_FEATURED_MODEL_SEARCH = 'Search Model:';
const TEXT_FEATURED_EXPIRES_DATE = 'Expiry Date:';
const TEXT_FEATURED_EXPIRES_DATE_HELP = '';
const TEXT_FEATURED_ENFORCE_SELECTION = '--- Please Select ---';

const TEXT_FEATURED_TIP = '<dd class="text-center">Leave the expiry date empty for no expiration<br>
                                      Search results show up in the "Select Product" Menu</dd>';

const TEXT_INFO_DATE_ADDED = 'Date Added:';
const TEXT_INFO_LAST_MODIFIED = 'Last Modified:';
const TEXT_INFO_EXPIRES_DATE = 'Expires At:';
const TEXT_INFO_STATUS_CHANGE = 'Status Change:';

const TEXT_INFO_HEADING_DELETE_FEATURED = 'Delete Featured Product';
const TEXT_INFO_DELETE_INTRO = 'Are you sure you want to delete this featured product?';

const TEXT_DISPLAY_NUMBER_OF_FEATURED = 'Displaying <b>%d</b> to <b>%d</b> (of <b>%d</b> featured products)';

const BUTTON_NEW_FEATURED_PRODUCT = 'New featured product';
const BUTTON_SEARCH = 'Search';
const BUTTON_SUBMIT_SEARCH = 'Search';
