<div class="<?= MODULE_CONTENT_INDEX_FEATURED_PRODUCTS_CONTENT_WIDTH ?> cm-i-featured-products">
  <h4><?= MODULE_CONTENT_INDEX_FEATURED_PRODUCTS_TITLE . ((MODULE_CONTENT_INDEX_FEATURED_PRODUCTS_SHOW_BUTTON == 'True')? '&nbsp;&nbsp;' . new Button(MODULE_CONTENT_INDEX_FEATURED_PRODUCTS_IMAGE_BUTTON_SEE_MORE, 'fas fa-caret-right', 'btn-outline-secondary', [], $GLOBALS['Linker']->build('featured_products.php')) : '') ?></h4>

  <div class="<?= IS_PRODUCT_PRODUCTS_DISPLAY_ROW ?>">
    <?php
    while ($card_product = $featured_products_query->fetch_assoc()) {
      $product = new Product($card_product);
      if (MODULE_CONTENT_INDEX_FEATURED_PRODUCTS_SHOW_DESCRIPTION == 'True' && !Text::is_empty($product->get('description')) ) {
        $card['extra'] = ['<p>' . strip_tags($product->get('description'))
                          . ((str_word_count(strip_tags($product->get('description'))) >= MODULE_CONTENT_INDEX_FEATURED_PRODUCTS_DESCRIPTION_LENGTH)? '<a href="' . $product->get('link') . '">' . MODULE_CONTENT_INDEX_FEATURED_PRODUCTS_SHOW_MORE . '</a>' : '')
                          . '</a></p>' . PHP_EOL];
      }
      ?>
      <div class="col mb-2">
        <div class="card h-100 is-product" <?= $product->get('data_attributes') ?>>
          <?php include $GLOBALS['Template']->map('product_card.php', 'component'); ?>
        </div>
      </div>
      <?php
    }
    ?>
  </div>
</div>

<?php
/*
  Featured Products Phoenix Cart v2.3.7
  by @raiwa
  raiwa@phoenixcartaddons.com
  www.phoenixcartaddons.com

  Copyright (c) 2021: Rainer Schmied - @raiwa

  CE Phoenix, E-Commerce made Easy
  https://phoenixcart.org

  Copyright (c) 2021 Phoenix Cart

  Released under the GNU General Public License
*/
